@font-face {
	font-family: customFont;
	src: url(./wofffont/belligerent.ttf);
}

/*------------MAIN BODY STUFF------------*/


body {
	background-color: black;
	color: white;
	padding-left: 0px;
	padding-right: 0px;
	margin-left: 0px;
	margin-right: 0px;
}

.override {
	background-color: white;
	color: black;
	text-decoration: none;
}

a.override:visited {
	color: black;
}

a:link {
	text-decoration: none;
	color: #d9d3e2;
}

a:visited {
	color: #d9d3e2;
}

a:hover {
	color: white;
}

a:active {
	color: #d9d3e2;
}

.far {
	display: inline-block;
	margin-left: auto;
	margin-right: auto;
}


/*------------WELL DETAILS (Pieces and overviews)------------*/

.well:hover {
	color: white;
	background-color: black;
}

.well.overview {
	margin-right:1px;
	margin-left: 1px;
	overflow-wrap: auto;
	}


.well_spacer {
	background: black;
	border-color: black;
	color: black;
	-webkit-flex: 1;
	-ms-flex: 1;
	flex: 1;
	height: 64px;
}

.well {
	background-image: linear-gradient(to right, #272281, #3d0f55, #350831, #230717, #000000);
	border-color: #6D6A71;
	-webkit-flex: 1;
	-ms-flex: 1;
	flex: 1;
	text-indent: 15px;
}

.well h4{
	font-family: customFont;
	color: rgba(240, 240, 240, .8);
	text-shadow: 2px 2px 15px black;
	text-align: center;
}

.well fa-ul {

}


/*-----------JUMBOTRON STUFF-----------*/

.jumbotron {
	background-image: url("./images/codingbanner.jpg");
	background-repeat: no-repeat;
	max-height: 256px;
	background-size: cover;
	min-width: 320px;
	width: 100%;
	height: 256px;
	color: rgba(0,0,0,.7);
	text-shadow: 2px 2px 15px blue;
	font-family: customFont;
	font-weight: bold;
	padding-right: 0px;
	position: relative;
	z-index: -1;
}

.jumbotron p {
	color: rgba(237,241,255,.9);
}

.jumbotron video {
	max-height: 256px;
	margin: 0 auto;
	padding: 0;
	vertical-align: super;
}

.jumbotron h1, .jumbotron p {
	font-variant: small-caps;
}

/*-----------NAVBAR STUFF-----------*/

.navbar-brand img {
	border-radius: 50%;
	border-width: 3px;
	max-height: 100%;
	border-color: white;
}

.navbar-nav > li > a {
	color: white;
}


.nav {
	background-color: #2B2435;
}

.nav a {
	color: white;
}

.hidden-xs {
	background-color: rgba(17,11,26,.4);
	height: 110vh;
	max-width: 256px;
}

.sidenav {
	height: 550vh;
	background-color: rgba(62,62,62,.90);

}

.sidenav img {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.nav-pills > li.active > a,
.nav-pills > li.active > a:hover,
.nav-pills > li.active > a:focus {
  color: #fff;
  background-color: black;
}

.nav>li>a:focus, .nav>li>a:hover {
	background-image: linear-gradient(to right, #272281, #3d0f55, #350831, #230717, #000000);
	color: white;
}


/*------------CAROUSEL DETAILS (Pictures and videos)------------*/

#myVideoCarousel.slide {
	/*max-height: 512px;
	min-height: 256px;*/

	/*min-height: 100%;*/

	display: flex;
	flex-direction: column;
	justify-content: center;
}



#myVideoCarousel > carousel-inner.item {
	position: relative;
	display: none;
	-webkit-transition: 100000.0s ease-in-out left;
	-moz-transition: 100000.0s ease-in-out left;
	-o-transition: 100000.0s ease-in-out left;
	transition: 100000.0s ease-in-out left;
	max-height: 512px;
	min-height: 256px;
	margin: 0 auto;
	display:;
}

.carousel-indicators {
	/*bottom: -50px;*/
}

.carousel-inner {
	margin-bottom: 50px;
	/*max-height: 312px;*/
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}


.carousel-inner > .item > img, .carousel-inner > .item > a > img {
	max-height: 256px;
	margin: 0 auto;
	display: block;
}

.carousel-inner > .item > video,
.carousel-inner > .itemvid > video,
.carousel-inner > .itemVid > a > video, {
	position: relative;
	margin: 0 auto;
	display: block;
	/*top: 0;
	left: 0;*/
	max-height: 20%;
	min-height: 512px;
	max-height: 756px;
	max-width: 75%;
}
	
.carouslel-inner > .item> video{
	margin: 0 auto;
}

.frameholder {
	position: relative;
	height: 0;
	/*border: 2px double orange;*/
	padding-bottom: 56.25%;
}

.frameholder iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	/*border: 3px dashed green;*/
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	/*padding-bottom: 57%;*/

}

 .frameholder video {
	/*position: relative;
	width: 100%;
	height: 100%;*/
	/*display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;*/
 }

.item.active.vidCar {
	/*height: 100%;
	min-height: 320px;*/
	width: 75%;
}

.item, #vidCar.item {
	max-height: 256px;
	display: block;
	margin: 0 auto;
	min-height: 256px;

	/*border: 2px yellow dashed;*/
}

/*--------------------ALIGNMENT AND DECALS--------------------*/


#mySpin {
	margin: auto;
	border: 0px solid;
/*    width: 200px;
	height: 100px;*/
	color: white;
	-webkit-animation: mymove 5s infinite; /* Chrome, Safari, Opera */
	animation: mymove 5s infinite;
	/*height: 256px;*/
	position: relative;
	top: 50%;
	/*transform: translateY(+25%);*/

}

/* Chrome, Safari, Opera */
@-webkit-keyframes mymove {
	50% {-webkit-transform: rotateY(180deg);}
}

/* Standard syntax */
@keyframes mymove {
	50% {transform: rotateY(180deg);}
}

.row-eq-height {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.aligned {
	/*display: inline-flex;
	align-items: center;
	justify-content: center*/
/*	text-align: left;*/
	/*max-width: 40%;*/
	/*border: 2px solid white;*/
	/*margin: 0px;
	padding: 0px;*/
	position: relative;
	top: 50%;
}

.midd {
	text-align: center;
}


p.it {
	font-style: italic;
}
p.rt {
	text-align: right;
}

p.ct {
	text-align: center;
}

/*.row {
	justify-content: end;
	margin-left: 0px;
	margin-right: 0px;
}*/

.maincontent {
	margin: 15px;
}

/*.col {
	min-height: 100%;
}*/

.spacer {
	height: 135px;
}


/*--------------------BLOCKQUOTE ITEMS--------------------*/

.blockquote {
	background-color: rgba(249,249,249,0.2);
	border-left:1em solid #eee;
	margin:1.5em 1em;
	padding:.5em 1em;
	quotes:"\201C""\201D";
	border-radius: 10px;
	font-weight: bold;
}

.blockquote:before {
	color: rgba(249,249,249,.6);
	content:open-quote;
	font-size:4em;
	line-height:.1em;
	margin-right:.25em;
	vertical-align:-.4em;
}

.blockquote :first-child{
	display:inline;
}

.blockquote :last-child{
	margin-bottom:0;
}

button {
	background-color: black;
	color: white;
}

#hidden_content{
	/*height: 0;*/
	overflow: hidden;
	transition: height 0.8s ease;
}

/*-----------------FOOTER AND FOOTER STUFF-----------------*/

.footer {
	background: rgba(0,0,0,.7);
	position: fixed;
	max-height: 125px;
	min-height: 40px;
	left: 0;
	right: 0;
	bottom: 0;
	max-height: 250px;
	/*min-width: 325px;*/
	border-top: 2px solid black;
	justify-content: space-between;
	font-family: customFont;
}

.footerStuff {
	font-family: customFont;
	display: flex;
	justify-content: space-between;
	text-align: center;
	flex-direction: row;
} 

.footer h5 {
	font-family: customFont;
	text-align: center;
	display: flex;
	
}


/*---------------AUDIO AND VIDEO SETTINGS---------------*/

video {
	position: relative;
	padding-top: 25px;
	width: 100%;
	margin: 0 auto;
}

.music {
	background-image: url(https://img.youtube.com/vi/05afZ0z_I28/mqdefault.jpg), url(https://static1.squarespace.com/static/57e249589de4bb694157749f/57e385bd37c581fc11516844/57e3877f29687f9f871f5fb5/1474529152525/maxresdefault.jpg?format=2500w);
	/*position: relative;*/
	background-position: center, center;
	background-repeat: no-repeat, no-repeat;
	/*background-position: 36% 0%;*/
	background-size: 50%, 100%;
	/*border: 3px blue solid;*/
	height: 100%;
	/*width: 70%;*/
	/*display: block;*/
	margin: 0 auto;
}

audio {
	position: fixed;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
}

video {
	position: relative;
	padding-top: 25px;
	width: 100%;
	margin: 0 auto;
}


/*---------------TOOLTIPS---------------*/

.tooltipBK {
    display: inline;
    position: relative;
	text-decoration:underline;
	font-weight:bold;
	cursor:pointer;
}

.tooltipBK:hover:after {
    background: #333;
    background: rgba(0,0,0,.8);
    border-radius: 5px;
    bottom: 26px;
    color: #fff;
    content: attr(title);
    left: 20%;
    padding: 5px 15px;
    position: absolute;
    z-index: 1512121213;
    width: 220px;
}

.tooltipBK:hover:before {
    border: solid;
    border-color: #333 transparent;
    border-width: 6px 6px 0 6px;
    bottom: 20px;
    content: "";
    left: 50%;
    position: absolute;
    z-index: -15;
}

/*-----------------V For Vendetta icon manip-----------------*/
.vforv img {
		width:15px;
}

/*-----------------Form Stuff-----------------*/

#formPageEcho {
   float: right;
}

.formText {
   appearance: none;
   -moz-appearance: none;
   -webkit-appearance: none;
   font-family: 'Lato', sans-serif;
   clear: both;
   color: #d9d3e2;
   font-size: 16px;
   background-color: black;
}

#formDiv {
   margin-left: 100px;
   margin-top: 50px;
   width: 50%;
   position: absolute;
}

#comments {
   height: 100px;
   width: 300px;
}

select {
    width: 100%;
    padding: 16px 20px;
    border: none;
    border-radius: 4px;
    background-image: linear-gradient(to right, #272281, #3d0f55, #350831, #230717, #000000);
}

option {
	background-color: #000000;
	color: white;
}

/*-----------------Form Stuff-----------------*/

[title^="in"] {
    color: white;
    -ms-transform: skewX(-15deg); /* IE 9 */
    -webkit-transform: skewX(-15deg); /* Safari */
    transform: skewX(-15deg); /* Standard syntax */
    text-decoration: underline;
    text-shadow: 5px 5px 5px black;

}

/*-----------------Gallery Stuff-----------------*/


div.gallery {
    margin: 5px;
    border: 1px solid #ccc;
    /*float: left;*/
    width: 180px;
    display: inline-block;
    text-indent: 0px;
}

div.gallery:hover {
    border: 5px solid lightblue;
}

div.gallery img {
    width: 100%;
    height: auto;
}

div.desc {
    padding: 15px;
    text-align: center;
}

/*-----------------Table Formatting-----------------*/
table {
	 border: 1px solid white;
	 padding:0;
	 width: 100%;
	 
}

th, td {
    padding: 15px;
    text-align: left;
    border: 1px solid gray;
}

td.name {
	font-family: customFont;
	font-weight: bold;
	font-size: 150%;
}

td > em {
	font-size: 150%;

}

